add news item for ikiwiki 1.32
[ikiwiki.git] / doc / install.mdwn
1 The easiest way to install ikiwiki is using the Debian package, but you can
2 also [[download]] the source and install it by hand. Ikiwiki should work on
3 most unix-like systems.
4
5 Ikiwiki is a perl program, and needs a recent version of perl such as
6 5.8.8. (5.8.0 has been reported not to work).
7
8 Ikiwiki requires [[MarkDown]] and the `URI` and `HTML::Parser` perl
9 modules be installed, and also uses the following perl modules if
10 available: 
11 `CGI::Session` `CGI::FormBuilder` (version 3.02.02 or newer)
12 `HTML::Template` `Mail::Sendmail` `Time::Duration` `Date::Parse`,
13 `HTML::Scrubber`, `RPC::XML`, `XML::Simple`, `XML::Feed`, `File::MimeInfo`.
14
15 The [[tla]] support also needs the `MailTools` perl module.
16
17 Various [[plugins]] use other libraries and utlities; see their individual
18 documentation for details.
19
20 If you're installing MarkDown by hand, note that it should be installed as
21 `Markdown.pm` somewhere in perl's module search path, or alternately as
22 `/usr/bin/markdown`. Ikiwiki will find it under either name.
23
24 If you want to install from the tarball, you should make sure that the
25 required perl modules are installed, then run:
26
27         perl Makefile.PL # PREFIX=/dir to install elsewhere
28         make
29         make test # optional
30         make install
31
32 See [[download]] for where to get it.